Package org.eclipse.emf.cdo.expressions.provider

# Class IntValueItemProvider

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterImpl
org.eclipse.emf.edit.provider.ItemProviderAdapter
org.eclipse.emf.cdo.expressions.provider.ValueItemProvider
org.eclipse.emf.cdo.expressions.provider.IntValueItemProvider

All Implemented Interfaces:
  `Adapter`, `Adapter.Internal`, `ResourceLocator`, `CreateChildCommand.Helper`, `IChangeNotifier`, `IDisposable`, `IEditingDomainItemProvider`, `IItemColorProvider`, `IItemFontProvider`, `IItemLabelProvider`, `IItemPropertySource`, `IStructuredItemContentProvider`, `ITableItemColorProvider`, `ITableItemFontProvider`, `ITableItemLabelProvider`, `ITreeItemContentProvider`

public class IntValueItemProvider extends ValueItemProvider
This is the item provider adapter for a `IntValue` object.

Generated

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`ItemProviderAdapter.ChildrenStore, ItemProviderAdapter.ModifiableSingletonEList<E>, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Field Summary

### Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

### Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider

`GRAYED_OUT_COLOR`

### Fields inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider

`BOLD_FONT, BOLD_ITALIC_FONT, ITALIC_FONT, NORMAL_FONT`

## Constructor Summary

Constructors
Constructor
Description
`IntValueItemProvider(AdapterFactory adapterFactory)`
This constructs an instance from a factory and a notifier.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addLiteralPropertyDescriptor(Object object)`
This adds a property descriptor for the Literal feature.
`protected void`
`collectNewChildDescriptors(Collection<Object> newChildDescriptors, Object object)`
This adds `CommandParameter`s describing the children that can be created under this object.
`Object`
`getImage(Object object)`
This returns IntValue.gif.
`List<IItemPropertyDescriptor>`
`getPropertyDescriptors(Object object)`
This returns the property descriptors for the adapted class.
`String`
`getText(Object object)`
This returns the label text for the adapted class.
`void`
`notifyChanged(Notification notification)`
This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.
`protected boolean`
`shouldComposeCreationImage()`

### Methods inherited from class org.eclipse.emf.cdo.expressions.provider.ValueItemProvider

`getColumnImage, getColumnText, getResourceLocator, hasChildren`

### Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, createAddCommand, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildFeature, getChildReference, getChildren, getChildrenFeatures, getChildrenReferences, getChildrenStore, getCreateChildDescription, getCreateChildImage, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getStyledText, getTypeText, getTypeText, getUpdateableText, getValue, getWrappedValues, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isResolveProxies, isValidValue, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider

`createCommand, getChildren, getNewChildDescriptors, getParent`

### Methods inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider

`getBackground, getForeground`

### Methods inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider

`getFont`

### Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource

`getEditableValue, getPropertyDescriptor`

### Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider

`getElements`

### Methods inherited from interface org.eclipse.emf.edit.provider.ITableItemColorProvider

`getBackground, getForeground`

### Methods inherited from interface org.eclipse.emf.edit.provider.ITableItemFontProvider

`getFont`

### Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider

`getChildren, getParent`

## Constructor Details

### IntValueItemProvider

public IntValueItemProvider(AdapterFactory adapterFactory)
This constructs an instance from a factory and a notifier.

Generated

## Method Details

### getPropertyDescriptors

public List<IItemPropertyDescriptor> getPropertyDescriptors(Object object)
This returns the property descriptors for the adapted class.

Specified by:
  `getPropertyDescriptors` in interface `IItemPropertySource`
Overrides:
  `getPropertyDescriptors` in class `ValueItemProvider`
Generated

### addLiteralPropertyDescriptor

protected void addLiteralPropertyDescriptor(Object object)
This adds a property descriptor for the Literal feature.

Generated

### getImage

public Object getImage(Object object)
This returns IntValue.gif.

Specified by:
  `getImage` in interface `IItemLabelProvider`
Overrides:
  `getImage` in class `ItemProviderAdapter`
Generated

### shouldComposeCreationImage

protected boolean shouldComposeCreationImage()

Overrides:
  `shouldComposeCreationImage` in class `ValueItemProvider`
Generated

### getText

public String getText(Object object)
This returns the label text for the adapted class.

Specified by:
  `getText` in interface `IItemLabelProvider`
Overrides:
  `getText` in class `ValueItemProvider`
Generated

### notifyChanged

public void notifyChanged(Notification notification)
This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.

Specified by:
  `notifyChanged` in interface `Adapter`
Overrides:
  `notifyChanged` in class `ValueItemProvider`
Generated

### collectNewChildDescriptors

protected void collectNewChildDescriptors(Collection<Object> newChildDescriptors, Object object)
This adds `CommandParameter`s describing the children that can be created under this object.

Overrides:
  `collectNewChildDescriptors` in class `ValueItemProvider`
Generated